{% load i18n %}
{% load static %}
{% load customtags %}
{% get_current_language as FULL_LANGUAGE_CODE %}
{% split FULL_LANGUAGE_CODE separator="-" as LANGUAGE_CODE %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE.0 }}">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="{{ DCWB.SITE.DESCRIPTION }}" />
    <meta name="keywords" content="{{ DCWB.SITE.KEYWORDS }}" />
    <title>
      {% if page_name is not None %}{{ page_name }} |{% endif %}
      {{ DCWB.SITE.NAME }} | {{ DCWB.SITE.OWNER }}
    </title>
    <link rel="shortcut icon" href="{% static 'favicon.png' %}" />
    <link rel="apple-touch-icon" href="{% static 'favicon.png' %}" />
    {% comment "CSS uses Bulma, cfr. https://bulma.io" %}{% endcomment %}
    <link rel="stylesheet" href="{% static 'css/bulma.min.css' %}" />
  </head>
  <body>
    <nav id="nav"
         class="navbar hero is-primary is-small"
         role="navigation"
         aria-label="main navigation">
      <div class="navbar-brand">
        <a class="navbar-item"
           href="{% if request.resolver_match.url_name != "home" %}{% url "home" %}{% endif %}">
          {# TODO: Add logo from uploads #}
          <img src="{% static "favicon.png" %}"
               alt="{% trans "Icono del sitio" %}"
               width="28"
               height="28" />
        </a>
        <div class="hero-body header">
          <p class="title is-size-4">{{ DCWB.SITE.NAME }}</p>
          <p class="subtitle is-size-6">{{ DCWB.SITE.DESCRIPTION }}</p>
          <div class="is-hidden-desktop">{% include "common/user-button.html" %}</div>
        </div>
        {% if "user" not in request.resolver_match.route %}
          <div class="is-hidden-touch">{% include "common/user-button.html" %}</div>
        {% endif %}
      </div>
    </nav>
    <section>
      {% block content %}
      {% endblock content %}
      <div id="quick-links">
        {% if request.resolver_match.url_name != 'about' %}
          <div>
            <span>👥</span>
            <span>
              {# TODO: Link #}
              <a href="{% url "about" %}">{% trans "Créditos" %}</a>
            </span>
          </div>
        {% endif %}
        {% if request.resolver_match.url_name != 'man' %}
          <div>
            <span>❓</span>
            <span>
              {# TODO: Link #}
              <a href="">{% trans "Manual" %}</a>
            </span>
          </div>
        {% endif %}
      </div>
    </section>
    <footer class="footer content has-text-centered is-small">
      <p>
        © {% now "Y" %}
        <a href="{{ DCWB.SITE.OWNER }}" target="_blank">{{ DCWB.SITE.OWNER }}</a>
      </p>
      <p>
        {% trans "Interfaz" %}:
        <a href="https://gitlab.com/amlengua/apal/dcwb" target="_blank">DjangoCWB</a>
      </p>
      <p>
        {% trans "Sistema" %}:
        <a href="https://cwb.sourceforge.io/" target="_blank">IMS Open Corpus Workbench</a>
      </p>
    </footer>
  </body>
</html>
